<?php
/**
 * Clase Base Bean para BaseArArqueoDetalleDepositoCobradorBN
 *
 * @package    Sedapal
 * @subpackage BaseArArqueoDetalleDepositoCobradorBN
 * @author     Willy
 * @version    SVN:: BaseArArqueoDetalleDepositoCobradorBN.class.php,v 1.1 2021-08-30 23:16:20 william.taype Exp $
 */
abstract class BaseArArqueoDetalleDepositoCobradorBN
{
  protected $Idclase;
  protected $Idsucursal;
  protected $Idmercado;
  protected $Idcolaborador;
  protected $Fecha;
  protected $Numeroboucher;
  protected $Idbanco;
  protected $Idcuenta;
  protected $Banco;
  protected $Numerocuenta;
  protected $Fechadeposito;
  protected $Subtotal;
  protected $Estado;
  protected $Nombrearchivo;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Tipoarchivo;
  protected $Mensaje;
  protected $Error;

  public function getIdclase(){
    return $this->Idclase;
  }
  public function setIdclase($v1){
    $this->Idclase = $v1; 
  }

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getNumeroboucher(){
    return $this->Numeroboucher;
  }
  public function setNumeroboucher($v1){
    $this->Numeroboucher = $v1; 
  }

  public function getIdbanco(){
    return $this->Idbanco;
  }
  public function setIdbanco($v1){
    $this->Idbanco = $v1; 
  }

  public function getIdcuenta(){
    return $this->Idcuenta;
  }
  public function setIdcuenta($v1){
    $this->Idcuenta = $v1; 
  }

  public function getBanco(){
    return $this->Banco;
  }
  public function setBanco($v1){
    $this->Banco = $v1; 
  }

  public function getNumerocuenta(){
    return $this->Numerocuenta;
  }
  public function setNumerocuenta($v1){
    $this->Numerocuenta = $v1; 
  }

  public function getFechadeposito(){
    return $this->Fechadeposito;
  }
  public function setFechadeposito($v1){
    $this->Fechadeposito = $v1; 
  }

  public function getSubtotal(){
    return $this->Subtotal;
  }
  public function setSubtotal($v1){
    $this->Subtotal = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getNombrearchivo(){
    return $this->Nombrearchivo;
  }
  public function setNombrearchivo($v1){
    $this->Nombrearchivo = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getTipoarchivo(){
    return $this->Tipoarchivo;
  }
  public function setTipoarchivo($v1){
    $this->Tipoarchivo = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_arqueo_detalle_deposito_cobradorBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_arqueo_detalle_deposito_cobradorRs )
  {
    $o_ArArqueoDetalleDepositoCobradorBN = new ArArqueoDetalleDepositoCobradorBN();
    $o_ArArqueoDetalleDepositoCobradorBN->setIdclase( $o_Ar_arqueo_detalle_deposito_cobradorRs['idclase'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setIdsucursal( $o_Ar_arqueo_detalle_deposito_cobradorRs['idsucursal'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setIdmercado( $o_Ar_arqueo_detalle_deposito_cobradorRs['idmercado'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setIdcolaborador( $o_Ar_arqueo_detalle_deposito_cobradorRs['idcolaborador'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setFecha( $o_Ar_arqueo_detalle_deposito_cobradorRs['fecha'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setNumeroboucher( $o_Ar_arqueo_detalle_deposito_cobradorRs['numeroboucher'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setIdbanco( $o_Ar_arqueo_detalle_deposito_cobradorRs['idbanco'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setIdcuenta( $o_Ar_arqueo_detalle_deposito_cobradorRs['idcuenta'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setBanco( $o_Ar_arqueo_detalle_deposito_cobradorRs['banco'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setNumerocuenta( $o_Ar_arqueo_detalle_deposito_cobradorRs['numerocuenta'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setFechadeposito( $o_Ar_arqueo_detalle_deposito_cobradorRs['fechadeposito'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setSubtotal( $o_Ar_arqueo_detalle_deposito_cobradorRs['subtotal'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setEstado( $o_Ar_arqueo_detalle_deposito_cobradorRs['estado'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setNombrearchivo( $o_Ar_arqueo_detalle_deposito_cobradorRs['nombrearchivo'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setFecharegistro( $o_Ar_arqueo_detalle_deposito_cobradorRs['fecharegistro'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setUsuarioregistro( $o_Ar_arqueo_detalle_deposito_cobradorRs['usuarioregistro'] );
    $o_ArArqueoDetalleDepositoCobradorBN->setTipoarchivo( $o_Ar_arqueo_detalle_deposito_cobradorRs['tipoarchivo'] );
    return $o_ArArqueoDetalleDepositoCobradorBN;
  }
}